[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.ScrollBy_WS

Scrolls the control using the handle for the widgetset class.

## Declaration

Source position: controls.pp line 2385

`public procedure TWinControl.ScrollBy_WS(`
`DeltaX: Integer;`
`DeltaY: Integer`
`);`

## Arguments

`DeltaX` |  | Number of pixels scrolled in the horizontal direction.
`DeltaY` |  | Number of pixels scrolled in the vertical direction.

## Errors

Raises an Exception if the handle has not been allocated for the widgetset class instance. Raised with the message 'TWinControl.ScrollBy_WS: Handle not allocated'.

## See also

TWinControl.HandleAllocated |  | Checks whether a handle for the widget has been allocated for the control.